_TrieState Struct Reference

TrieState structure. More...

## Data Fields

const Trie * | trie
TrieIndex | index
short | suffix_idx
short | is_suffix

## Detailed Description

TrieState structure.

## Field Documentation

## index

TrieIndex _TrieState::index

index in double-array/tail structures

## is_suffix

short _TrieState::is_suffix

whether it is currently in suffix part

## suffix_idx

short _TrieState::suffix_idx

suffix character offset, if in suffix

## trie

const Trie* _TrieState::trie

the corresponding trie

The documentation for this struct was generated from the following file:

- datrie/trie.c